package p07_funkcje;

import java.math.BigInteger;
import java.util.Scanner;

public class SilniaBig {
    static BigInteger silnia(int n) {
        BigInteger wynik = BigInteger.ONE;
        for(int i = 2; i <= n; i++) {
            wynik = wynik.multiply(BigInteger.valueOf(i));
        }
        return wynik;
    }

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        while (true) {
            System.out.print("Podaj argument (ujemny kończy): ");
            int arg = scanner.nextInt();
            if(arg < 0) break;
            var wynik = silnia(arg);
            System.out.println("silnia(" + arg + ") = " + wynik);
        }
    }
}
